curl --request POST \
--url https://api.procuros.io/v2/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "ORDER",
"content": {
"header": {
"buyer": {
"name": "ACME Co. Ltd.",
"identifiers": [
{
"identifier": "1100001016310",
"domain": "GS1"
}
],
"postalAddress": {
"city": "Berlin",
"countryCode": "DE",
"name": "ACME Co. Ltd.",
"postalCode": "82643",
"street": "Elroy-Fritsch-Ring 15"
},
"contacts": [
{
"firstName": "Jane",
"lastName": "Doe",
"email": "[email protected]",
"fax": "(818) 463-6124",
"phone": "+1.352.856.0626"
}
]
},
"supplier": {
"name": "Testsupplier",
"identifiers": [
{
"identifier": "1100001016312",
"domain": "GS1"
}
]
},
"shipTo": {
"identifiers": [
{
"identifier": "1100001016313",
"domain": "GS1"
}
]
},
"billTo": {
"identifiers": [
{
"identifier": "1100001016314",
"domain": "GS1"
}
]
},
"orderIdentifier": "PO9383-R45",
"orderDate": "2021-09-30",
"AdditionalOrderIdentifiers": {
"supplierOrderIdentifier": "SUP-12345",
"shipToOrderIdentifier": "ST-67890",
"billToOrderIdentifier": "BT-22222",
"finalRecipientOrderIdentifier": "FR-44444",
"technicalRecipientOrderIdentifier": "TR-55555"
},
"currency": "EUR",
"requestedDeliveryDate": "2021-10-05",
"paymentTerms": [
{
"payInNumberOfDays": 28,
"percentage": 3
}
]
},
"items": [
{
"lineNumber": 1,
"identifiers": [
{
"identifier": "4300348765432",
"domain": "GS1"
},
{
"identifier": "PROD-77-LS",
"domain": "BUYER"
},
{
"identifier": "sp_gr_8",
"domain": "SUPPLIER"
}
],
"isDepositItem": false,
"quantity": 10,
"unitOfMeasure": "EA",
"description": "First product description.",
"unitPrice": 1.23,
"tax": {
"percentage": 7,
"description": "Umsatzsteuer"
},
"brand": "kela",
"assortment": "ME_GEN",
"consumerGroup": "Unisex",
"category": "1008",
"subCategory": "Beverages",
"modificationGroups": [
{
"modifications": [
{
"type": "ALLOWANCE",
"reasonCode": "DISCOUNT",
"description": "Contract trade discount",
"percentage": 7
}
]
}
]
}
]
}
}
'{
"procurosTransactionId": "949b2f25-fd9d-4c58-8899-b4dc277f8cf9"
}Create and send a new transaction to one of your trade partners.
curl --request POST \
--url https://api.procuros.io/v2/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "ORDER",
"content": {
"header": {
"buyer": {
"name": "ACME Co. Ltd.",
"identifiers": [
{
"identifier": "1100001016310",
"domain": "GS1"
}
],
"postalAddress": {
"city": "Berlin",
"countryCode": "DE",
"name": "ACME Co. Ltd.",
"postalCode": "82643",
"street": "Elroy-Fritsch-Ring 15"
},
"contacts": [
{
"firstName": "Jane",
"lastName": "Doe",
"email": "[email protected]",
"fax": "(818) 463-6124",
"phone": "+1.352.856.0626"
}
]
},
"supplier": {
"name": "Testsupplier",
"identifiers": [
{
"identifier": "1100001016312",
"domain": "GS1"
}
]
},
"shipTo": {
"identifiers": [
{
"identifier": "1100001016313",
"domain": "GS1"
}
]
},
"billTo": {
"identifiers": [
{
"identifier": "1100001016314",
"domain": "GS1"
}
]
},
"orderIdentifier": "PO9383-R45",
"orderDate": "2021-09-30",
"AdditionalOrderIdentifiers": {
"supplierOrderIdentifier": "SUP-12345",
"shipToOrderIdentifier": "ST-67890",
"billToOrderIdentifier": "BT-22222",
"finalRecipientOrderIdentifier": "FR-44444",
"technicalRecipientOrderIdentifier": "TR-55555"
},
"currency": "EUR",
"requestedDeliveryDate": "2021-10-05",
"paymentTerms": [
{
"payInNumberOfDays": 28,
"percentage": 3
}
]
},
"items": [
{
"lineNumber": 1,
"identifiers": [
{
"identifier": "4300348765432",
"domain": "GS1"
},
{
"identifier": "PROD-77-LS",
"domain": "BUYER"
},
{
"identifier": "sp_gr_8",
"domain": "SUPPLIER"
}
],
"isDepositItem": false,
"quantity": 10,
"unitOfMeasure": "EA",
"description": "First product description.",
"unitPrice": 1.23,
"tax": {
"percentage": 7,
"description": "Umsatzsteuer"
},
"brand": "kela",
"assortment": "ME_GEN",
"consumerGroup": "Unisex",
"category": "1008",
"subCategory": "Beverages",
"modificationGroups": [
{
"modifications": [
{
"type": "ALLOWANCE",
"reasonCode": "DISCOUNT",
"description": "Contract trade discount",
"percentage": 7
}
]
}
]
}
]
}
}
'{
"procurosTransactionId": "949b2f25-fd9d-4c58-8899-b4dc277f8cf9"
}Documentation Index
Fetch the complete documentation index at: https://docs.procuros.io/llms.txt
Use this file to discover all available pages before exploring further.
The API Token of your ERP Connection.
Created
Unique ID assigned to every transaction on the Procuros Network.
"949b2f25-fd9d-4c58-8899-b4dc277f8cf9"
Was this page helpful?